Page MenuHomePhabricator

Form styles are missing on Wikibase special pages in mobile view
Closed, ResolvedPublic

Description

Form styles are missing on Wikibase special pages (ones related to editing, e.g. Special:SetSiteLink) in mobile view.

This makes it confusing to try to edit an item using these special pages.

Details

Related Gerrit Patches:

Event Timeline

aude created this task.Jun 22 2016, 3:09 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 22 2016, 3:09 PM
aude triaged this task as High priority.Jun 22 2016, 3:10 PM

This block is missing:

.mw-ui-input {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    display: block;
    width: 100%;
    border: 1px solid #cccccc;
    border-radius: 2px;
    padding: 0.3em 0.3em 0.3em 0.6em;
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
    vertical-align: middle;
}

Some change in MobileFrontend has made it disappear.

Jonas moved this task from Backlog to Doing on the Wikidata-Sprint-2016-07-05 board.

Change 298259 had a related patch set uploaded (by Jonas Kress (WMDE)):
Fix: Form styles are missing on Wikibase special pages in mobile view

https://gerrit.wikimedia.org/r/298259

Just uploaded a quick fix.

I think we should convert the form to OOUI form, to have a clean fix.
Maybe something @Ricordisamoa would like to do.

Change 298259 merged by jenkins-bot:
Fix: Form styles are missing on Wikibase special pages in mobile view

https://gerrit.wikimedia.org/r/298259

Just a note it has always been the case that mediawiki.ui.input has to be explicitly added to special pages.

thiemowmde closed this task as Resolved.Jul 15 2016, 8:44 AM
thiemowmde moved this task from Review to Done on the Wikidata-Sprint-2016-07-05 board.

Change 299161 had a related patch set uploaded (by Aude):
Add mediawiki.ui.input for all SpecialModifyEntity pages

https://gerrit.wikimedia.org/r/299161

Change 299161 merged by jenkins-bot:
Add mediawiki.ui.input for all SpecialModifyEntity pages

https://gerrit.wikimedia.org/r/299161

thiemowmde reopened this task as Open.Jul 19 2016, 12:31 PM
thiemowmde added a subscriber: thiemowmde.

Appears to not be done, at least https://test.m.wikidata.org/wiki/Special:SetSiteLink/Q2205 is still unstyled. I assume there is a CSS class name missing on the form or something.